### Method

# Gio DBusProxy set_default_timeout

since: 2.26

#### Declaration

    void
    g_dbus_proxy_set_default_timeout (
      GDBusProxy* proxy,
      gint timeout_msec
    )

#### Description

Sets the timeout to use if -1 (specifying default timeout) is passed as `timeout_msec` in the `g_dbus_proxy_call()` and `g_dbus_proxy_call_sync()` functions.

See the `GDBusProxy:g-default-timeout` property for more details.

Available since: 2.26

#### Parameters

`timeout_msec`

  Type: `gint`

  Timeout in milliseconds.